## kross-interpreters 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(KrossPlugins)

# Include KF5 cmake modules
find_package(ECM 0.0.10 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)

# Where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(Qt5 5.2.0 CONFIG REQUIRED Core Gui Widgets)
find_package(KF5 5.11.0 REQUIRED Kross)

# ========================= Find Python 2 =========================

# TODO: CMake's FindPythonLibs.cmake needs fixing, because without the
# following hack find_package(PythonLibs 3) would find the previously found
# version 2.7. Due to this hack one cannot predefine PYTHON_LIBRARY and/or
# PYTHON_INCLUDE_DIR by editing CMakeCache.txt.
unset(PYTHON_INCLUDE_DIR CACHE)
unset(PYTHON_LIBRARY CACHE)
unset(PYTHON_LIBRARY_DEBUG CACHE)
# Unset variables set by find_package(PythonInterp) which is called by KI18n
unset(PYTHON_VERSION_MAJOR)
unset(PYTHON_VERSION_MINOR)
find_package(PythonLibs 2 EXACT REQUIRED)

set(PYTHON2_LIBS_FOUND ${PYTHONLIBS_FOUND})
set(PYTHON2_LIBRARIES ${PYTHON_LIBRARIES})
set(PYTHON2_INCLUDE_DIRS ${PYTHON_INCLUDE_DIRS})
set(PYTHON2_LIBS_VERSION_STRING ${PYTHONLIBS_VERSION_STRING})
if(PYTHON2_LIBS_FOUND)
    message(STATUS "Found Python 2: ${PYTHON2_LIBRARIES} (found version \"${PYTHON2_LIBS_VERSION_STRING}\")")
endif()

# ========================= Find FALCON =========================

### Falcon support disabled because it does not work with most modern falcon-0.9.x
# find_package(FALCON)

# ========================= Log features =========================

# TODO: How to differentiate between Python 2 and Python 3?
set_package_properties(PythonLibs PROPERTIES
    DESCRIPTION "Python is a programming language that lets you work more quickly and integrate your systems more effectively."
    URL         "http://python.org"
    TYPE        OPTIONAL
    PURPOSE     "Kross Python support.")

### Falcon support disabled because it does not work with most modern falcon-0.9.x
# set_package_properties(Falcon PROPERTIES
#     DESCRIPTION "Falcon is an Open Source, simple, fast and powerful programming language, easy to learn and to feel comfortable with."
#     URL         "http://www.falconpl.org/"
#     TYPE        OPTIONAL
#     PURPOSE     "Kross Falcon support.")

# ========================= Traverse subdirectories for actual targets =========================

if(PYTHON2_LIBS_FOUND)
    ecm_optional_add_subdirectory(python)
endif(PYTHON2_LIBS_FOUND)

### Falcon support disabled because it does not work with most modern falcon-0.9.x
# if(FALCON_FOUND)
#     ecm_optional_add_subdirectory(falcon)
# endif(FALCON_FOUND)

ecm_optional_add_subdirectory(ruby)
# ecm_optional_add_subdirectory(java)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

add_subdirectory(tests)

=== debian/changelog ===
kross-interpreters (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:30:18 +0000

kross-interpreters (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:00:11 +0000

kross-interpreters (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:49 +0000

kross-interpreters (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:09:24 +0000

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               python-dev (>= 2~),
               qtbase5-dev (>= 5.6.1~),
               ruby,
               ruby-dev,
               xvfb
Standards-Version: 3.9.6
Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters

Package: krosspython
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Python plugin.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kross-interpreters-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kross-interpreters-([\d.]+).tar.xz

## kross-interpreters 18.04.3

=== debian/changelog ===
kross-interpreters (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:20:31 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                qtbase5-dev (>= 5.6.1~),
                ruby,
                ruby-dev,
-               xvfb
+               xvfb,
 Standards-Version: 3.9.6
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters

## kross-interpreters 18.08.1

=== debian/changelog ===
kross-interpreters (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 18:41:23 +0200

kross-interpreters (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 06:39:41 +0100

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 0.0.10~),
               kross-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.12),
               python-dev (>= 2~),
               qtbase5-dev (>= 5.2.0~),
               ruby,
               ruby-dev
Standards-Version: 4.2.1
Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters

Package: krosspython
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Python plugin.

Package: krossruby
Section: ruby
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Ruby module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Ruby plugin.

## kross-interpreters 18.12.3

=== debian/changelog ===
kross-interpreters (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:31:47 +0000

kross-interpreters (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:18:54 +0000

kross-interpreters (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:13:04 +0000

kross-interpreters (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:51:16 +0000

kross-interpreters (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge all Debian changes. Remaining changes:
    - d/control: Kubuntu Vcs fields.
    - d/upstream/metadata: Update KDE Vcs urls to current cgit.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 23:00:57 +0000

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                python-dev (>= 2~),
                qtbase5-dev (>= 5.2.0~),
                ruby,
-               ruby-dev
+               ruby-dev,
 Standards-Version: 4.2.1
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
 
 Package: krosspython
 Section: python

## kross-interpreters 19.04.3

=== debian/changelog ===
kross-interpreters (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:17:26 +0100

kross-interpreters (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:10:29 +0100

kross-interpreters (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:01:07 +0100

kross-interpreters (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:46:41 +0100

## kross-interpreters 19.12.3

=== debian/changelog ===
kross-interpreters (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:13:26 +0000

kross-interpreters (4:19.12.2-0ubuntu2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Mon, 02 Mar 2020 16:35:23 +0000

kross-interpreters (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:23:15 +0000

kross-interpreters (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:57:26 +0000

kross-interpreters (4:19.12.0-0ubuntu2) focal; urgency=medium

  * Build depend explicitly on python2-dev until upstream ports
    to python3.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jan 2020 14:25:11 +0000

kross-interpreters (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:51:08 +0000

kross-interpreters (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:35:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kross-interpreters
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
@@ -10,7 +11,7 @@
                extra-cmake-modules (>= 0.0.10~),
                kross-dev (>= 5.11.0~),
                pkg-kde-tools (>= 0.12),
-               python-dev (>= 2~),
+               python2-dev (>= 2~),
                qtbase5-dev (>= 5.2.0~),
                ruby,
                ruby-dev,

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# the tests work only with already installed plugins...
	:

## kross-interpreters 20.04.3

=== debian/changelog ===
kross-interpreters (4:20.04.3-2) unstable; urgency=medium

  * Team upload.
  * Replace the python-dev build dependency with python2-dev. (Closes: #967154)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 08:00:16 +0200

kross-interpreters (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the upstream GPG signing key.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 22:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kross-interpreters
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 0.0.10~),
                kross-dev (>= 5.11.0~),
                pkg-kde-tools (>= 0.12),
-               python2-dev (>= 2~),
+               python2-dev,
                qtbase5-dev (>= 5.2.0~),
                ruby,
-               ruby-dev,
-Standards-Version: 4.2.1
+               ruby-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters
 
 Package: krosspython
 Section: python

## kross-interpreters 20.08.1

=== debian/changelog ===
kross-interpreters (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:05 +0100

kross-interpreters (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python2-dev,
                qtbase5-dev (>= 5.2.0~),
                ruby,
-               ruby-dev
+               ruby-dev,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters

## kross-interpreters 20.12.3

=== debian/changelog ===
kross-interpreters (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:22 +0000

kross-interpreters (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:58:39 +0000

kross-interpreters (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 12:42:06 +0100

## kross-interpreters 21.08.1

=== debian/changelog ===
kross-interpreters (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:36 +0100

kross-interpreters (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:50 +0100

kross-interpreters (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:51 +0100

kross-interpreters (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:43 +0100

kross-interpreters (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:01 +0100

kross-interpreters (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:00 +0100

kross-interpreters (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:36 +0100

kross-interpreters (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:45 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                qtbase5-dev (>= 5.2.0~),
                ruby,
                ruby-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git

## kross-interpreters 21.12.3

=== falcon/CMakeLists.txt ===
project(krossfalcon)
find_package(Falcon)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")
set(FALCON_FOUND AND FALCON_INCLUDE_DIR)
macro_log_feature(FALCON_FOUND
  "Falcon" "Falcon libraries" "http://www.falconpl.org" FALSE "" "Needed to compile the Falcon bindings")

########### next target ###############

set(krossfalcon_PART_SRCS
   metatypeflex.cpp
   falconinterpreter.cpp
   falconerrhand.cpp
   falconscript.cpp
   falconkfvm.cpp
   falconmodule.cpp
   falconkerror.cpp
   falconfunction.cpp
   falconobjman.cpp
   falconkopaque.cpp
   
   falconkross.cpp
   falconkrossobject.cpp
)


# -ldl seems to be needed (on Linux at least).
# see http://lists.kde.org/?l=koffice-devel&m=116333261328694&w=2
# and http://websvn.kde.org/branches/work/kwin_composite/CMakeLists.txt?rev=603677&r1=603384&r2=603677
if(FALCON_COMPILED)
  include_directories(${FALCON_INCLUDE_DIR})
  kde4_add_plugin(krossfalcon ${krossfalcon_PART_SRCS})
  target_link_libraries(krossfalcon ${QT_QTCORE_LIBRARY} ${KDE4_KROSSCORE_LIBS} ${FALCON_LIBRARIES} ${CMAKE_DL_LIBS})
  install(TARGETS krossfalcon DESTINATION ${PLUGIN_INSTALL_DIR})
endif()

=== debian/changelog ===
kross-interpreters (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:12 +0000

kross-interpreters (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:46 +0000

kross-interpreters (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:36 +0000

kross-interpreters (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:46 +0000

kross-interpreters (4:21.11.90-0ubuntu3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 12:52:35 -0300

kross-interpreters (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:53 +0000

kross-interpreters (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:57 +0000

kross-interpreters (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:16 +0000

kross-interpreters (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kross-interpreters
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
@@ -17,8 +18,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
 
 Package: krosspython
 Section: python

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with kf5

override_dh_auto_test:
	# the tests work only with already installed plugins...
	:

## kross-interpreters 22.08.1

=== debian/changelog ===
kross-interpreters (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:30 +0100

kross-interpreters (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:56 +0100

kross-interpreters (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Aug 2022 16:47:26 +0100

kross-interpreters (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Drop the Python plugin, as it relies on Python 2 which will be removed
    soon: (Closes: #936809)
    - drop the python2-dev build dependency
    - drop the krosspython package
    - install to debian/tmp, to keep the rest of the packaging unchanged
  * Switch Homepage to the actual upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2022 14:35:44 +0200

kross-interpreters (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:42 +0100

kross-interpreters (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:11 +0100

kross-interpreters (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:11 +0100

kross-interpreters (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:32 +0100

kross-interpreters (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 Apr 2022 15:15:04 +0200

kross-interpreters (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:57 +0900

kross-interpreters (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia, Modestas Vainius from the uploaders,
    thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:07:52 +0900

## kross-interpreters 22.12.0

=== debian/changelog ===
kross-interpreters (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:52 +0100

kross-interpreters (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:03 +0100

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.10~),
               kross-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               ruby,
               ruby-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/kross-interpreters
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters

Package: krossruby
Section: ruby
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Ruby module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Ruby plugin.

## kross-interpreters 22.12.1

=== debian/changelog ===
kross-interpreters (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                qtbase5-dev (>= 5.2.0~),
                ruby,
                ruby-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/kross-interpreters
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross-interpreters.git

## kross-interpreters 22.12.3

=== debian/changelog ===
kross-interpreters (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 0.0.10~),
@@ -19,7 +19,7 @@
 
 Package: krossruby
 Section: ruby
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Architecture: any
 Description: Ruby module for Kross
  Kross is a scripting framework to enable scripting in various languages in all

## kross-interpreters 23.04.1

=== debian/changelog ===
kross-interpreters (4:23.04.1-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 21:19:58 +0000

kross-interpreters (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:09:03 +0000

kross-interpreters (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:19:36 +0000

kross-interpreters (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:35:17 +0000

kross-interpreters (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:10:58 +0000

kross-interpreters (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:49:54 +0000

kross-interpreters (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:54:25 +0000

kross-interpreters (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:15:13 +0000

kross-interpreters (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:36:55 +0000

kross-interpreters (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:16:44 +0000

kross-interpreters (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:02:27 +0000

kross-interpreters (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:24:50 +0000

kross-interpreters (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:22:12 +0000

kross-interpreters (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:34:24 +0000

kross-interpreters (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:08:17 +0000

kross-interpreters (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:05:19 +0000

kross-interpreters (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:07:53 +0000

kross-interpreters (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:34:18 +0000

kross-interpreters (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:49 +0000

kross-interpreters (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:58:52 +0000

kross-interpreters (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.07:44 +0000

kross-interpreters (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:26 +0000

kross-interpreters (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:58 +0000

kross-interpreters (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:12 +0000

kross-interpreters (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:14:49 +0000

kross-interpreters (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:20:00 +0000

kross-interpreters (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:37:18 +0000

kross-interpreters (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:11:07 +0000

kross-interpreters (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:31:50 +0000

kross-interpreters (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:28:40 +0000

kross-interpreters (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:21:08 +0000

kross-interpreters (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:41:06 +0000

kross-interpreters (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:27:39 +0000

kross-interpreters (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:49:39 +0000

kross-interpreters (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:04:22 +0000

kross-interpreters (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:46:31 +0000

kross-interpreters (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:16 +0000

kross-interpreters (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 18:02:26 +0000

kross-interpreters (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:15:22 +0000

kross-interpreters (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:12:58 +0000

kross-interpreters (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:26:51 +0000

kross-interpreters (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:23:21 +0000

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 0.0.10~),
               kross-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.12),
               python3-dev,
               qtbase5-dev (>= 5.2.0~),
               ruby,
               ruby-dev
Standards-Version: 4.2.1
Homepage: http://projects.kde.org/projects/kde/kdebindings/kross-interpreters
Vcs-Git: https://invent.kde.org/neon/kde/kross-interpreters.git
Vcs-Browser: https://invent.kde.org/neon/kde/kross-interpreters
Maintainer: Neon CI <neon@kde.org>

Package: krosspython
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: amd64 arm64
Description: Python module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Python plugin.

Package: krossruby
Section: ruby
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: amd64 arm64
Description: Ruby module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Ruby plugin.

## kross-interpreters 23.08.0

=== debian/changelog ===
kross-interpreters (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:47 +0100

kross-interpreters (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:16 +0100

kross-interpreters (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:47 +0100

kross-interpreters (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:50 +0100

kross-interpreters (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:24 +0000

kross-interpreters (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:37 -0600

kross-interpreters (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:13 +0000

kross-interpreters (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:42:21 +0000

kross-interpreters (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:54 +0000

kross-interpreters (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:09 +0000

kross-interpreters (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:18 +0000

kross-interpreters (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:08 +0000

## kross-interpreters 23.08.1

=== debian/changelog ===
kross-interpreters (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:44 +0100

## kross-interpreters 23.08.4

=== debian/changelog ===
kross-interpreters (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:56 +0000

kross-interpreters (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:40:08 +0000

kross-interpreters (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:55 +0100

## kross-interpreters 23.08.5

=== falcon/tests/helloworld/CMakeLists.txt ===
project (krossfal_hello)
 
find_package(KDE4 REQUIRED)
include_directories( ${KDE4_INCLUDES} )
 
set(krossfal_hello_SRCS main.cpp mainwindow.cpp)
 
kde4_add_executable(krossfal_hello ${krossfal_hello_SRCS})
target_link_libraries(krossfal_hello ${KDE4_KDEUI_LIBS} ${KDE4_KROSSUI_LIBS})

=== debian/changelog ===
kross-interpreters (4:23.08.5-0ubuntu4) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 00:03:02 -0300

kross-interpreters (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:38:36 +1100

kross-interpreters (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:19:18 +0000

kross-interpreters (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:15:35 -0700

## kross-interpreters 24.12.0

=== debian/changelog ===
kross-interpreters (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:18:11 +0000

kross-interpreters (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:12:49 +0000

kross-interpreters (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 12:35:51 +0000

## kross-interpreters 24.12.1

=== debian/changelog ===
kross-interpreters (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:36:58 +0000

## kross-interpreters 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 find_package(ECM 0.0.10 REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMOptionalAddSubdirectory)
@@ -28,7 +28,7 @@
 # Unset variables set by find_package(PythonInterp) which is called by KI18n
 unset(PYTHON_VERSION_MAJOR)
 unset(PYTHON_VERSION_MINOR)
-find_package(PythonLibs 2 EXACT REQUIRED)
+find_package(PythonLibs 2 EXACT)
 
 set(PYTHON2_LIBS_FOUND ${PYTHONLIBS_FOUND})
 set(PYTHON2_LIBRARIES ${PYTHON_LIBRARIES})

=== debian/changelog ===
kross-interpreters (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:47:01 +0000

kross-interpreters (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:21:14 +0000

=== debian/control ===
Source: kross-interpreters
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.10~),
               kross-dev (>= 5.11.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               ruby,
               ruby-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/kross-interpreters
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross-interpreters

Package: krossruby
Section: ruby
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Ruby module for Kross
 Kross is a scripting framework to enable scripting in various languages in all
 kinds of KDE applications.
 .
 Kross itself is a part of KDE Frameworks, this package contains the Kross
 Ruby plugin.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_test:
	# the tests work only with already installed plugins...
	:

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
